#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x97,0x32,0x5A,0xEB,0x55,0x5C,0xAB,0x89,0x12,0x2F,0xE7,0x53,
		0x12,0x81,0xAD,0x6C,0xE3,0xA6,0xE1,0x07,0xA1,0x35,0xB8,0x4B,
		0x4B,0x5A,0xD8,0xA7,0x5D,0x3B,0x13,0x8A,0x0F,0x72,0x65,0xBD,
		0x50,0xFD,0x06,0x8A,0x78,0x68,0x3A,0x18,0xCC,0xC9,0x07,0xB4,
		0xFE,0xD7,0xEE,0xE6,0xBC,0xC3,0x04,0xDE,0xBF,0x2F,0x93,0xD2,
		0x7C,0x87,0x7B,0x7B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
